/*
 * pc98_mou.h - NEC PC-9801 dependent mouse event definition
 *
 *	Written by: Kazuhisa hayashi, February 1990
 *	Arranged by: Junn Ohta, May 1990
 */

#define	KEYINPUT	00001
#define	MOUSE_DOWN_R	00010
#define	MOUSE_DOWN_M	00020
#define	MOUSE_DOWN_L	00040
#define	MOUSE_REL_R	00100
#define	MOUSE_REL_M	00200
#define	MOUSE_REL_L	00400

#define	ATTR_REV	0xc5
#define	ATTR_NORMAL	0x01

union	event_t {
	struct {
		short		type;
		short		x, y;
	} mouse;
	struct {
		short		type;
		unsigned short	mode;
		unsigned char	scan;
		unsigned char	code;
	} key;
};
